astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- get_sun

# get_sun

`astropy.coordinates.``get_sun`(time)

  Determines the location of the sun at a given time (or times, if the input is an array `Time` object), in geocentric coordinates.

  Parameters:

  time : `Time`

  > The time(s) at which to compute the location of the sun.

  Returns:

  newsc : `SkyCoord`

  > The location of the sun as a `SkyCoord` in the `GCRS` frame.

  Notes

  The algorithm for determining the sun/earth relative position is based on the simplified version of VSOP2000 that is part of ERFA. Compared to JPL’s ephemeris, it should be good to about 4 km (in the Sun-Earth vector) from 1900-2100 C.E., 8 km for the 1800-2200 span, and perhaps 250 km over the 1000-3000.